Index: issm/trunk/src/m/materials/nye.m
===================================================================
--- issm/trunk/src/m/materials/nye.m	(revision 25994)
+++ issm/trunk/src/m/materials/nye.m	(revision 26744)
@@ -13,11 +13,11 @@
 	if (ice_type==1)
 		if (any(temperature>200&temperature<220))
-			warning('CO2 ICE - POSSIBLE MELTING. Some temperature values are between 200K and 220K.\nLook at indexes: %s', mat2str(find(temperature>200 & temperature<220))');
+			warning('nye.m: CO2 ICE - POSSIBLE MELTING. Some temperature values are between 200K and 220K.\nLook at indexes: %s', mat2str(find(temperature>200 & temperature<220))');
 		end
 		if (any(temperature>=220))
-			warning('CO2 ICE - GUARANTEED MELTING. Some temperature values are beyond 220K.\nLook at indexes: %s', mat2str(find(temperature>=220))');
+			warning('nye.m: CO2 ICE - GUARANTEED MELTING. Some temperature values are beyond 220K.\nLook at indexes: %s', mat2str(find(temperature>=220))');
 		end
 	elseif ((ice_type==2)&&(any(temperature>273.15)))
-		warning('H2O ICE - GUARANTEED MELTING. Some temperature values are beyond 273.15K.\nLook at indexes: %s', mat2str(find(temperature>273.15))');
+		warning('nye.m: H2O ICE - GUARANTEED MELTING. Some temperature values are beyond 273.15K.\nLook at indexes: %s', mat2str(find(temperature>273.15))');
 	end
 
Index: issm/trunk/src/m/materials/nye.py
===================================================================
--- issm/trunk/src/m/materials/nye.py	(revision 25994)
+++ issm/trunk/src/m/materials/nye.py	(revision 26744)
@@ -1,15 +1,13 @@
 import numpy as np
-from warnings import warn
 
 
 def nye(temperature, ice_type):
+    """NYE - figure out the rigidity of ice (either CO2 or H2O) for a given 
+    temperature rigidity (in s^(1/n)Pa) is the flow law parameter in the flow 
+    law sigma=B*e(1/n) (Nye, p2000). Temperature is in Kelvin degrees.
+
+    Usage:
+        rigidity=nye(temperature,ice_type) % ice_type = 1: CO2 ice // ice_type = 2: H2O ice
     """
-    NYE - figure out the rigidity of ice (either CO2 or H2O) for a given temperature
-        rigidity (in s^(1/n)Pa) is the flow law parameter in the flow law sigma=B*e(1/n) (Nye, p2000).
-        temperature is in Kelvin degrees
-
-   Usage:
-           rigidity=nye(temperature,ice_type) % ice_type = 1: CO2 ice // ice_type = 2: H2O ice
-        """
 
     # Declaring temperature and rigidity arrays
@@ -26,10 +24,10 @@
         for i in range(len(T)):
             if (200 < T[i] < 220):
-                warn('CO2 ICE - POSSIBLE MELTING. Some temperature values are between 200K and 220K.')
+                print('Warning: nye.py: CO2 ICE - POSSIBLE MELTING. Some temperature values are between 200K and 220K.')
             break
         if ((T >= 220).any()):
-            warn('CO2 ICE - GUARANTEED MELTING. Some temperature values are beyond 220K.')
+            print('Warning: nye.py: CO2 ICE - GUARANTEED MELTING. Some temperature values are beyond 220K.')
     elif (ice_type == 2) and ((T > 273.15).any()):
-        warn('H2O ICE - GUARANTEED MELTING. Some temperature values are beyond 273.15K.')
+        print('Warning: nye.py: H2O ICE - GUARANTEED MELTING. Some temperature values are beyond 273.15K.')
 
     Rg = 8.3144598              # J mol^-1 K^-1
Index: issm/trunk/src/m/materials/paterson.py
===================================================================
--- issm/trunk/src/m/materials/paterson.py	(revision 25994)
+++ issm/trunk/src/m/materials/paterson.py	(revision 26744)
@@ -3,16 +3,17 @@
 
 def paterson(temperature):
-    """
-    PATERSON - figure out the rigidity of ice for a given temperature
+    """PATERSON - figure out the rigidity of ice for a given temperature
 
-       rigidity (in s^(1 / 3)Pa) is the flow law paramter in the flow law sigma = B * e(1 / 3) (Paterson, p97).
-       temperature is in Kelvin degrees
+    rigidity (in s^(1/3)Pa) is the flow law paramter in the flow law 
+    sigma = B * e(1/3) (Paterson, p97).
 
-       Usage:
-          rigidity = paterson(temperature)
+    temperature is in Kelvin degrees
+
+    Usage:
+        rigidity = paterson(temperature)
     """
 
-    if np.any(temperature < 0.):
-        raise RuntimeError("input temperature should be in Kelvin (positive)")
+    if np.any(temperature < 0.0):
+        raise RuntimeError('input temperature should be in Kelvin (positive)')
 
     if np.ndim(temperature) == 2:
@@ -24,5 +25,5 @@
         T = temperature - 273.15
 
-    #The routine below is equivalent to:
+    # The routine below is equivalent to:
 
     # n = 3; T = temperature-273
@@ -40,40 +41,40 @@
     pos1 = np.nonzero(T <= -45)[0]
     if len(pos1):
-        rigidity[pos1] = 10**8 * (-0.000292866376675 * (T[pos1] + 50)**3 + 0.011672640664130 * (T[pos1] + 50)**2 - 0.325004442485481 * (T[pos1] + 50) + 6.524779401948101)
+        rigidity[pos1] = pow(10, 8) * (-0.000292866376675 * (T[pos1] + 50)**3 + 0.011672640664130 * (T[pos1] + 50)**2 - 0.325004442485481 * (T[pos1] + 50) + 6.524779401948101)
     pos2 = np.nonzero(np.logical_and(-45 <= T, T < -40))[0]
     if len(pos2):
-        rigidity[pos2] = 10**8 * (-0.000292866376675 * (T[pos2] + 45)**3 + 0.007279645014004 * (T[pos2] + 45)**2 - 0.230243014094813 * (T[pos2] + 45) + 5.154964909039554)
+        rigidity[pos2] = pow(10, 8) * (-0.000292866376675 * (T[pos2] + 45)**3 + 0.007279645014004 * (T[pos2] + 45)**2 - 0.230243014094813 * (T[pos2] + 45) + 5.154964909039554)
     pos3 = np.nonzero(np.logical_and(-40 <= T, T < -35))[0]
     if len(pos3):
-        rigidity[pos3] = 10**8 * (0.000072737147457 * (T[pos3] + 40)**3 + 0.002886649363879 * (T[pos3] + 40)**2 - 0.179411542205399 * (T[pos3] + 40) + 4.149132666831214)
+        rigidity[pos3] = pow(10, 8) * (0.000072737147457 * (T[pos3] + 40)**3 + 0.002886649363879 * (T[pos3] + 40)**2 - 0.179411542205399 * (T[pos3] + 40) + 4.149132666831214)
     pos4 = np.nonzero(np.logical_and(-35 <= T, T < -30))[0]
     if len(pos4):
-        rigidity[pos4] = 10**8 * (-0.000086144770023 * (T[pos4] + 35)**3 + 0.003977706575736 * (T[pos4] + 35)**2 - 0.145089762507325 * (T[pos4] + 35) + 3.333333333333331)
+        rigidity[pos4] = pow(10, 8) * (-0.000086144770023 * (T[pos4] + 35)**3 + 0.003977706575736 * (T[pos4] + 35)**2 - 0.145089762507325 * (T[pos4] + 35) + 3.333333333333331)
     pos5 = np.nonzero(np.logical_and(-30 <= T, T < -25))[0]
     if len(pos5):
-        rigidity[pos5] = 10**8 * (-0.000043984685769 * (T[pos5] + 30)**3 + 0.002685535025386 * (T[pos5] + 30)**2 - 0.111773554501713 * (T[pos5] + 30) + 2.696559088937191)
+        rigidity[pos5] = pow(10, 8) * (-0.000043984685769 * (T[pos5] + 30)**3 + 0.002685535025386 * (T[pos5] + 30)**2 - 0.111773554501713 * (T[pos5] + 30) + 2.696559088937191)
     pos6 = np.nonzero(np.logical_and(-25 <= T, T < -20))[0]
     if len(pos6):
-        rigidity[pos6] = 10**8 * (-0.000029799523463 * (T[pos6] + 25)**3 + 0.002025764738854 * (T[pos6] + 25)**2 - 0.088217055680511 * (T[pos6] + 25) + 2.199331606342181)
+        rigidity[pos6] = pow(10, 8) * (-0.000029799523463 * (T[pos6] + 25)**3 + 0.002025764738854 * (T[pos6] + 25)**2 - 0.088217055680511 * (T[pos6] + 25) + 2.199331606342181)
     pos7 = np.nonzero(np.logical_and(-20 <= T, T < -15))[0]
     if len(pos7):
-        rigidity[pos7] = 10**8 * (0.000136920904777 * (T[pos7] + 20)**3 + 0.001578771886910 * (T[pos7] + 20)**2 - 0.070194372551690 * (T[pos7] + 20) + 1.805165505978111)
+        rigidity[pos7] = pow(10, 8) * (0.000136920904777 * (T[pos7] + 20)**3 + 0.001578771886910 * (T[pos7] + 20)**2 - 0.070194372551690 * (T[pos7] + 20) + 1.805165505978111)
     pos8 = np.nonzero(np.logical_and(-15 <= T, T < -10))[0]
     if len(pos8):
-        rigidity[pos8] = 10**8 * (-0.000899763781026 * (T[pos8] + 15)**3 + 0.003632585458564 * (T[pos8] + 15)**2 - 0.044137585824322 * (T[pos8] + 15) + 1.510778053489523)
+        rigidity[pos8] = pow(10, 8) * (-0.000899763781026 * (T[pos8] + 15)**3 + 0.003632585458564 * (T[pos8] + 15)**2 - 0.044137585824322 * (T[pos8] + 15) + 1.510778053489523)
     pos9 = np.nonzero(np.logical_and(-10 <= T, T < -5))[0]
     if len(pos9):
-        rigidity[pos9] = 10**8 * (0.001676964325070 * (T[pos9] + 10)**3 - 0.009863871256831 * (T[pos9] + 10)**2 - 0.075294014815659 * (T[pos9] + 10) + 1.268434288203714)
+        rigidity[pos9] = pow(10, 8) * (0.001676964325070 * (T[pos9] + 10)**3 - 0.009863871256831 * (T[pos9] + 10)**2 - 0.075294014815659 * (T[pos9] + 10) + 1.268434288203714)
     pos10 = np.nonzero(np.logical_and(-5 <= T, T < -2))[0]
     if len(pos10):
-        rigidity[pos10] = 10**8 * (-0.003748937622487 * (T[pos10] + 5)**3 + 0.015290593619213 * (T[pos10] + 5)**2 - 0.048160403003748 * (T[pos10] + 5) + 0.854987973338348)
+        rigidity[pos10] = pow(10, 8) * (-0.003748937622487 * (T[pos10] + 5)**3 + 0.015290593619213 * (T[pos10] + 5)**2 - 0.048160403003748 * (T[pos10] + 5) + 0.854987973338348)
     pos11 = np.nonzero(-2 <= T)[0]
     if len(pos11):
-        rigidity[pos11] = 10**8 * (-0.003748937622488 * (T[pos11] + 2)**3 - 0.018449844983174 * (T[pos11] + 2)**2 - 0.057638157095631 * (T[pos11] + 2) + 0.746900791092860)
+        rigidity[pos11] = pow(10, 8) * (-0.003748937622488 * (T[pos11] + 2)**3 - 0.018449844983174 * (T[pos11] + 2)**2 - 0.057638157095631 * (T[pos11] + 2) + 0.746900791092860)
 
     #Now make sure that rigidity is positive
     pos = np.nonzero(rigidity < 0)[0]
     if len(pos):
-        rigidity[pos] = 1.e6
+        rigidity[pos] = 1.0e6
 
     return rigidity
Index: issm/trunk/src/m/mech/mechanicalproperties.m
===================================================================
--- issm/trunk/src/m/mech/mechanicalproperties.m	(revision 25994)
+++ issm/trunk/src/m/mech/mechanicalproperties.m	(revision 26744)
@@ -1,4 +1,4 @@
 function md=mechanicalproperties(md,vx,vy,varargin)
-%MECHANICALPROPERTIES - compute stress and strain rate for a goven velocity
+%MECHANICALPROPERTIES - compute stress and strain rate for a given velocity
 %
 %   this routine computes the components of the (deviatoric) stress tensor,
Index: issm/trunk/src/m/mech/mechanicalproperties.py
===================================================================
--- issm/trunk/src/m/mech/mechanicalproperties.py	(revision 25994)
+++ issm/trunk/src/m/mech/mechanicalproperties.py	(revision 26744)
@@ -5,17 +5,17 @@
 
 def mechanicalproperties(md, vx, vy, **kwargs):
-    """
-    MECHANICALPROPERTIES - compute stress and strain rate for a goven velocity
+    """MECHANICALPROPERTIES - compute stress and strain rate for a given 
+    velocity
 
-   this routine computes the components of the stress tensor
-   strain rate tensor and their respective principal directions.
-   the results are in the model md: md.results
+    This routine computes the components of the stress tensor strain rate 
+    tensor and their respective principal directions. The results are in the 
+    model md: md.results
 
-   Usage:
-      md = mechanicalproperties(md, vx, vy)
+    Usage:
+        md = mechanicalproperties(md, vx, vy)
 
-   Example:
-      md = mechanicalproperties(md, md.initialization.vx, md.initialization.vy)
-      md = mechanicalproperties(md, md.inversion.vx_obs, md.inversion.vy_obs)
+    Example:
+        md = mechanicalproperties(md, md.initialization.vx, md.initialization.vy)
+        md = mechanicalproperties(md, md.inversion.vx_obs, md.inversion.vy_obs)
     """
 
@@ -75,5 +75,5 @@
     #some corrections
     location = np.nonzero(np.logical_and(second_inv == 0, power != 0))
-    nu[location] = 10**18  #arbitrary maximum viscosity to apply where there is no effective shear
+    nu[location] = pow(10, 18) #arbitrary maximum viscosity to apply where there is no effective shear
 
     if 'matice' in md.materials.__module__:
@@ -83,5 +83,5 @@
         nu[location] = B_bar[location]
         location = np.nonzero(np.logical_and(second_inv == 0, power != 0))
-        nu[location] = 10**18
+        nu[location] = pow(10, 18)
     elif 'matdamageice' in md.materials.__module__ and damage is not None:
         print('computing damage-dependent properties!')
Index: issm/trunk/src/m/mech/steadystateiceshelftemp.py
===================================================================
--- issm/trunk/src/m/mech/steadystateiceshelftemp.py	(revision 25994)
+++ issm/trunk/src/m/mech/steadystateiceshelftemp.py	(revision 26744)
@@ -49,5 +49,5 @@
         temperature[pos] = -((Tb[pos] - Ts[pos]) * ki / wi[pos] + Hi[pos] * Tb[pos] - (Hi[pos] * Ts[pos] + (Tb[pos] - Ts[pos]) * ki / wi[pos]) * np.exp(Hi[pos] * wi[pos] / ki)) / (Hi[pos] * (np.exp(Hi[pos] * wi[pos] / ki) - 1))
     except FloatingPointError:
-        print('steadystateiceshelf warning: overflow encountered in multipy / divide / exp, trying another formulation.')
+        print('Warning: steadystateiceshelf.py: overflow encountered in multipy/divide/exp, trying another formulation.')
         temperature[pos] = -(((Tb[pos] - Ts[pos]) * ki / wi[pos] + Hi[pos] * Tb[pos]) / np.exp(Hi[pos] * wi[pos] / ki) - Hi[pos] * Ts[pos] + (Tb[pos] - Ts[pos]) * ki / wi[pos]) / (Hi[pos] * (1 - np.exp(-Hi[pos] * wi[pos] / ki)))
 
